# Management

The intended audience for these reference pages is .NET developers. It is assumed the reader already knows the basics of Umbraco and knows .NET & C#.

{% hint style="warning" %}
Since the release of Umbraco 14, the documentation for Models and Services has been removed from the documentation.
{% endhint %}

## [Models (external)](https://apidocs.umbraco.com/v17/csharp/api/Umbraco.Cms.Core.Models.html)

Find references for the models in the public API. The models include Content, ContentType, Language, Media, and Template classes.

## [Services (external)](https://apidocs.umbraco.com/v17/csharp/api/Umbraco.Cms.Core.Services.html)

Find references for the services available for performing Create, Read, Update, and Delete (CRUD) operations for the models.

### [Learn how to use the Umbraco Services](/umbraco-cms/reference/management/using-services.md)

Find a handful of resources for using some of the services available with Umbraco CMS.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-cms/reference/management.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
